<?php /** @var ShipX_Shipment_Model $shipment */

use InspireLabs\WooInpost\EasyPack;
use InspireLabs\WooInpost\shipx\models\shipment\ShipX_Shipment_Model; ?>

<?php if ($shipment instanceof ShipX_Shipment_Model): ?>
<?php $inputDisabled = ' disabled '?>
    <label disabled style="display: block" for="reference_number" class="graytext">
        <?php _e('Insurance amount: ', EasyPack::$text_domain); ?>
    </label>
<?php else: ?>
    <?php $inputDisabled = ''?>
    <label style="display: block" for="reference_number">
        <?php _e('Insurance amount: ', EasyPack::$text_domain); ?>
    </label>
<?php endif?>

<?php if ($shipment instanceof ShipX_Shipment_Model && null !== $shipment->getInsurance()): ?>
    <input <?php echo $inputDisabled?>
           class="insurance_amount"
           type="number"
           style=""
           value="<?php echo $shipment->getInsurance()->getAmount(); ?>"
           placeholder="0.00"
           step="any"
           min="0"
           id="insurance_amounts"
           name="insurance_amounts[]">
<?php else: ?>
    <input <?php echo $inputDisabled?>class="insurance_amount"
           type="number" style=""
           value="<?php echo floatval(get_option('easypack_insurance_amount_default')) ?>"
           placeholder="0.00"
           step="any"
           min="0"
           id="insurance_amounts"
           name="insurance_amounts[]<?php echo $inputDisabled?>">
<?php endif; ?>
